Delete an approval policy
curl --request DELETE \
--url https://app.solya.app/api/approval-policies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/approval-policies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/approval-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Approval Policies
Delete an approval policy
Deletes an approval policy from the caller’s organization. Returns 404 when the policy does not exist or belongs to another organization. Requires intelligenceLayer.configure permission.
DELETE
/
api
/
approval-policies
/
{id}
Delete an approval policy
Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Path Parameters
Unique identifier of the approval policy (UUID)
Minimum string length:
1⌘I

